Skip to main content
DELETE
/
api
/
v1
/
management
/
surveys
/
{surveyId}
Delete Survey
curl --request DELETE \
  --url https://{baseurl}/api/v1/management/surveys/{surveyId} \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://{baseurl}/api/v1/management/surveys/{surveyId}"

headers = {"x-api-key": "<x-api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'x-api-key': '<x-api-key>'}};

fetch('https://{baseurl}/api/v1/management/surveys/{surveyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "autoClose": null,
    "autoComplete": null,
    "blocks": [
      {
        "elements": [
          {
            "headline": {
              "default": "What would you like to know?"
            },
            "id": "ovpy6va1hab7fl12n913zua0",
            "inputType": "text",
            "placeholder": {
              "default": "Type your answer here..."
            },
            "required": true,
            "subheader": {
              "default": "This is an example survey."
            },
            "type": "openText"
          }
        ],
        "id": "qp8j2k0fx3m9wd1c7b5n4tva",
        "name": "Block 1"
      },
      {
        "elements": [
          {
            "choices": [
              {
                "id": "xpoxuu3sifk1ee8he67ctf5i",
                "label": {
                  "default": "Sun ☀️"
                }
              },
              {
                "id": "hnsovcdmxtcbly6tig1az3qc",
                "label": {
                  "default": "Ocean 🌊"
                }
              },
              {
                "id": "kcnelzdxknvwo8fq20d3nrr5",
                "label": {
                  "default": "Palms 🌴"
                }
              }
            ],
            "headline": {
              "default": "What's important on vacay?"
            },
            "id": "awkn2llljy7a4oulp5t15yec",
            "required": true,
            "shuffleOption": "none",
            "type": "multipleChoiceMulti"
          }
        ],
        "id": "rk4v9m2dqz7n0fyt8c3b1xws",
        "name": "Block 2"
      }
    ],
    "createdAt": "2024-08-05T11:08:27.042Z",
    "createdBy": "clfv1zvij0000ru0gunwpy43a",
    "delay": 0,
    "displayLimit": null,
    "displayOption": "displayOnce",
    "displayPercentage": null,
    "endings": [
      {
        "buttonLabel": {
          "default": "Create your own Survey"
        },
        "buttonLink": "https://formbricks.com/signup",
        "headline": {
          "default": "Thank you!"
        },
        "id": "p73t62dgwq0cvmtt6ug0hmfc",
        "subheader": {
          "default": "We appreciate your feedback."
        },
        "type": "endScreen"
      }
    ],
    "hiddenFields": {
      "enabled": false,
      "fieldIds": []
    },
    "id": "clzgw1k4i0001mny1unf8eggn",
    "isVerifyEmailEnabled": false,
    "languages": [],
    "name": "Example Survey",
    "pin": null,
    "productOverwrites": null,
    "questions": [
      {
        "headline": {
          "default": "What would you like to know?"
        },
        "id": "ovpy6va1hab7fl12n913zua0",
        "inputType": "text",
        "placeholder": {
          "default": "Type your answer here..."
        },
        "required": true,
        "subheader": {
          "default": "This is an example survey."
        },
        "type": "openText"
      },
      {
        "choices": [
          {
            "id": "xpoxuu3sifk1ee8he67ctf5i",
            "label": {
              "default": "Sun ☀️"
            }
          },
          {
            "id": "hnsovcdmxtcbly6tig1az3qc",
            "label": {
              "default": "Ocean 🌊"
            }
          },
          {
            "id": "kcnelzdxknvwo8fq20d3nrr5",
            "label": {
              "default": "Palms 🌴"
            }
          }
        ],
        "headline": {
          "default": "What's important on vacay?"
        },
        "id": "awkn2llljy7a4oulp5t15yec",
        "required": true,
        "shuffleOption": "none",
        "type": "multipleChoiceMulti"
      }
    ],
    "recontactDays": null,
    "redirectUrl": null,
    "segment": null,
    "showLanguageSwitch": null,
    "singleUse": {
      "enabled": false,
      "isEncrypted": true
    },
    "status": "inProgress",
    "styling": null,
    "surveyClosedMessage": null,
    "triggers": [],
    "type": "link",
    "updatedAt": "2024-08-05T11:09:21.826Z",
    "welcomeCard": {
      "enabled": true,
      "fileUrl": "",
      "headline": {
        "default": "Welcome!"
      },
      "html": {
        "default": "<p class=\"fb-editor-paragraph\" dir=\"ltr\"><span style=\"white-space: pre-wrap;\">Thanks for providing your feedback - let's go!</span></p>"
      },
      "showResponseCount": false,
      "timeToFinish": false
    },
    "workspaceId": "clygwxsbh01v5aga1sdien2th"
  }
}
{
"code": "not_found",
"details": {
"resource_id": "clusgqpml0000135cxet3y8vh",
"resource_type": "Survey"
},
"message": "Survey not found"
}

Headers

x-api-key
string
required

Path Parameters

surveyId
string
required

Response

OK

The response is of type object.